#include <kernel/kernel.h>
#include <kernel/pit.h>
#include <kernel/io.h>
#include <kernel/pic.h>

extern kernel_ctx_t ctx;

void pit_init(void) {
    outb(PIT_MODE_CMD, PIT_CHAN0 | PIT_LOBYTE | PIT_MODE0);

    outb(PIT_CHAN0_DATA, (uint8_t)(DIVISOR & 0xff));
}

void pit_handler(void) {
    ctx.ticks++;

    outb(PIT_CHAN0_DATA, (uint8_t)(DIVISOR & 0xff));
    pic_send_eoi(0);
}
